Difference between revisions of "Draft Arc"

From FreeCAD Documentation
Jump to navigation Jump to search
m ([[ | ]])
(Marked this version for translation)
 
(46 intermediate revisions by 5 users not shown)
Line 1: Line 1:
 
<languages/>
 
<languages/>
 
<translate>
 
<translate>
 +
 
<!--T:18-->
 
<!--T:18-->
{{Docnav|[[Draft_Circle|Circle]]|[[Draft_Arc_3Points|Arc 3Points]]|[[Draft_Module|Draft]]|IconL=Draft_Circle.svg |IconC=Workbench_Draft.svg|IconR=Draft_Arc_3Points.svg}}
+
{{Docnav
 +
|[[Draft_Fillet|Fillet]]
 +
|[[Draft_Arc_3Points|Arc 3Points]]
 +
|[[Draft_Module|Draft]]
 +
|IconL=Draft_Fillet.svg  
 +
|IconR=Draft_Arc_3Points.svg
 +
|IconC=Workbench_Draft.svg
 +
}}
  
 
<!--T:1-->
 
<!--T:1-->
 
{{GuiCommand
 
{{GuiCommand
 
|Name=Draft Arc
 
|Name=Draft Arc
|MenuLocation=Draft → Arc
+
|MenuLocation=Drafting → Arc tools → Arc
|Workbenches=[[Draft Module|Draft]], [[Arch Module|Arch]]
+
|Workbenches=[[Draft_Module|Draft]], [[Arch_Module|Arch]]
|Shortcut={{KEY|A}} {{KEY|R}}
 
|SeeAlso=[[Draft Circle|Draft Circle]], [[Draft Ellipse|Draft Ellipse]]
 
 
|Version=0.7
 
|Version=0.7
 +
|SeeAlso=[[Draft_Arc_3Points|Draft Arc 3Points]], [[Draft_Circle|Draft Circle]]
 
}}
 
}}
  
 
==Description== <!--T:2-->
 
==Description== <!--T:2-->
  
The Arc tool creates a circular arc in the current [[Draft SelectPlane|work plane]] by entering four points, the center, a point that defines the radius, the first end point and the second end point, or by picking tangents, or any combination of those. It uses the [[Draft Linestyle|Draft Linestyle]] set on the [[Draft Tray|Draft Tray]].
+
<!--T:21-->
 +
The [[Image:Draft_Arc.svg|24px]] [[Draft_Arc|Draft Arc]] command creates a circular arc in the current [[Draft_SelectPlane|working plane]] from a center, a radius, a start angle and an aperture angle. The radius and the angles can be defined by picking points.
  
<!--T:10-->
+
<!--T:22-->
This tool works the same way as the [[Draft Circle|Draft Circle]] tool, but adds start and end angles. To draw an elliptical arc use [[Draft Ellipse|Draft Ellipse]]. You can also approximate a circular arc by using the [[Draft BSpline|Draft BSpline]], [[Draft BezCurve|Draft BezCurve]], and [[Draft CubicBezCurve|Draft CubicBezCurve]] tools.
+
A Draft Arc is in fact a [[Draft_Circle|Draft Circle]] with a {{PropertyData|First Angle}} that is not the same as its {{PropertyData|Last Angle}}.
  
 
</translate>
 
</translate>
[[Image:Draft_Arc_example.jpg|400px]]
+
[[Image:Draft_Arc_example.jpg|400px]]  
 
<translate>
 
<translate>
 
<!--T:3-->
 
<!--T:3-->
{{Caption|Arc defined by four points, center, radius, initial point of arc and final point of arc.}}
+
{{Caption|Arc defined by four points, center, radius, initial point of arc and final point of arc}}
 +
 
 +
==Usage== <!--T:23-->
  
==How to use== <!--T:4-->
+
<!--T:24-->
# Press the {{Button|[[Image:Draft Arc.png|16px]] [[Draft Arc|Draft Arc]]}} button, or press {{KEY|A}} then {{KEY|R}} keys.
+
See also: [[Draft_Tray|Draft Tray]], [[Draft_Snap|Draft Snap]] and [[Draft_Constrain|Draft Constrain]].
# Click a first point on the 3D view, or type a [[Draft_Coordinates|coordinate]] and press the {{Button|[[Image:Draft_AddPoint.svg|16px]] [[Draft_AddPoint|add point]]}} button.
 
# Click a second point on the 3D view, or enter a radius value.
 
# Click a third point in the 3D view, or enter a start angle.
 
# Click a fourth point in the 3D view, or enter an aperture angle.
 
  
<!--T:11-->
+
<!--T:4-->
The arc can be edited by double clicking on the element in the tree view, or by pressing the {{Button|[[Image:Draft Edit.svg|16px]] [[Draft Edit|Draft Edit]]}} button. Then you can move the center point to a new position.
+
# There are several ways to invoke the command:
 +
#* Press the {{Button|[[Image:Draft_Arc.svg|16px]] [[Draft_Arc|Draft Arc]]}} button.
 +
#* Select the {{MenuCommand|Drafting → Arc tools → [[Image:Draft_Arc.svg|16px]] Arc}} option from the menu.
 +
# The {{MenuCommand|Arc}} task panel opens. See [[#Options|Options]] for more information.
 +
# Pick the first point, the center of the arc, in the [[3D_view|3D view]], or type [[Draft_Coordinates|coordinates]] and press the {{Button|[[Image:Draft_AddPoint.svg|16px]] Enter point}} button.
 +
# Pick the second point in the [[3D_view|3D view]], or enter a {{MenuCommand|Radius}}.
 +
# Pick the third point in the [[3D_view|3D view]], or enter a {{MenuCommand|Start angle}}.
 +
# Pick the fourth point in the [[3D_view|3D view]], or enter an {{MenuCommand|Aperture angle}}.
 +
 
 +
==Options== <!--T:25-->
 +
 
 +
<!--T:26-->
 +
The single character keyboard shortcuts available in the task panel can be changed. See [[Draft_Preferences|Draft Preferences]]. The shortcuts mentioned here are the default shortcuts.
 +
 
 +
<!--T:5-->
 +
* To manually enter the coordinates for the center enter the X, Y and Z component, and press {{KEY|Enter}} after each. Or you can press the {{Button|[[Image:Draft_AddPoint.svg|16px]] Enter point}} button when you have the desired values. It is advisable to move the pointer out of the [[3D_view|3D view]] before entering coordinates.
 +
* The {{MenuCommand|Relative}} checkbox has no purpose for this command.
 +
* Press {{KEY|G}} or click the {{MenuCommand|Global}} checkbox to toggle global mode. If global mode is on, coordinates are relative to the global coordinate system, else they are relative to the [[Draft_SelectPlane|working plane]] coordinate system. {{Version|0.20}}
 +
* Press {{KEY|T}} or click the {{MenuCommand|Continue}} checkbox to toggle continue mode. If continue mode is on, the command will restart after finishing, allowing you to continue creating arcs.
 +
* Press {{KEY|Esc}} or the {{Button|Close}} button to abort the command.
  
<!--T:12-->
+
==Notes== <!--T:27-->
The arc can be turned into a circle after creation, by setting its first angle and last angle properties to the same value.
 
  
==Options== <!--T:5-->
+
<!--T:11-->
* The primary use of the arc tool is by picking four points: the centre, a point on the circumference, the start of the arc, and its end.
+
* A Draft Arc can be edited with the [[Draft_Edit|Draft Edit]] command.
** By pressing {{KEY|Alt}}, you can select a tangent instead of picking point, to define the base circle of the arc. You can therefore construct several types of circles by selecting one, two or three tangents.
+
* If the {{MenuCommand|Edit → Preferences... → Draft → General settings → Draft tools options → Use Part Primitives when available}} option is checked, the command will create a [[Part_Circle|Part Circle]] instead of a Draft Circle. See [[Draft_Preferences#General_settings|Draft Preferences]].
* The direction of the arc depends on the movement you are doing with your mouse. If you start to move clockwise after the third point is entered, your arc will go clockwise. To go counter-clockwise, simply move your mouse back over the third point, until the arc starts drawing in the other direction.
 
* To enter coordinates manually, simply enter the numbers, then press {{KEY|Enter}} between each X, Y and Z component. You can press the {{Button|[[Image:Draft_AddPoint.svg|16px]] [[Draft_AddPoint|add point]]}} button when you have the desired values to insert the point.
 
* Press {{KEY|T}} or click the checkbox to toggle ''continue'' mode. If continue mode is on, the Arc tool will restart after you finish the arc, allowing you to draw another one without pressing the tool button again.
 
* Hold {{KEY|Ctrl}} while drawing to force [[Draft_Snap|snapping]] your point to the nearest snap location, independently of the distance.
 
* Hold {{KEY|Shift}} while drawing to [[Draft_Constrain|constrain]] your point horizontally or vertically in relation to the center.
 
* Press {{KEY|Esc}} or the {{Button|Close}} button to abort the current command.
 
  
==Properties== <!--T:6-->
+
==Properties== <!--T:28-->
An Arc object shares all properties from a [[Draft Circle|Draft Circle]], but some properties only make sense for the circle.
 
  
===Data=== <!--T:13-->
+
<!--T:6-->
* {{PropertyData|First Angle}}: specifies the angle of the first point of the arc.
+
See [[Draft_Circle#Properties|Draft Circle]].
* {{PropertyData|Last Angle}}: specifies the angle of the last point of the arc.
 
* {{PropertyData|Radius}}: specifies the radius of the arc.
 
* {{PropertyData|Make Face}}: specifies if the arc makes a face or not. This property only works if the shape is a full circle.
 
:To make an arc a full circle set the {{PropertyData|First Angle}} and {{PropertyData|Last Angle}} to the same value. The values 0&#176; and 360&#176; aren't considered the same, so if these two values are used, the circle will not form a face.
 
  
===View=== <!--T:14-->
+
==Scripting== <!--T:29-->
* {{PropertyView|Pattern}}: specifies a [[Draft Pattern|Draft Pattern]] with which to fill the face of the arc. This property only works if the arc is a full circle, and if {{PropertyData|Make Face}} is {{TRUE}}, and if {{PropertyView|Display Mode}} is "Flat Lines".
 
* {{PropertyView|Pattern Size}}: specifies the size of the [[Draft Pattern|Draft Pattern]].
 
  
==Scripting== <!--T:7-->
+
<!--T:7-->
{{Emphasis|See also:}} [[Draft API|Draft API]] and [[FreeCAD Scripting Basics|FreeCAD Scripting Basics]].
+
See also: [https://www.freecadweb.org/api Autogenerated API documentation] and [[FreeCAD Scripting Basics|FreeCAD Scripting Basics]].
  
 
<!--T:15-->
 
<!--T:15-->
The Arc tool can be used in [[macros|macros]] and from the [[Python|Python]] console by using the same function to create circles, with additional arguments.
+
To create a Draft Arc use the {{incode|make_circle}} method ({{Version|0.19}}) of the Draft module. This method replaces the deprecated {{incode|makeCircle}} method.
See the information in [[Draft Circle|Draft Circle]].
 
  
 
<!--T:16-->
 
<!--T:16-->
 
Example:
 
Example:
 +
 
</translate>
 
</translate>
 
{{Code|code=
 
{{Code|code=
 +
import FreeCAD as App
 
import Draft
 
import Draft
  
Arc1 = Draft.makeCircle(200, startangle=0, endangle=90)
+
doc = App.newDocument()
Arc2 = Draft.makeCircle(500, startangle=20, endangle=160)
+
 
Arc3 = Draft.makeCircle(750, startangle=-30, endangle=-150)
+
arc1 = Draft.make_circle(200, startangle=0, endangle=90)
 +
arc2 = Draft.make_circle(500, startangle=20, endangle=160)
 +
arc3 = Draft.make_circle(750, startangle=-30, endangle=-150)
 +
 
 +
doc.recompute()
 
}}
 
}}
 
<translate>
 
<translate>
 +
  
 
<!--T:17-->
 
<!--T:17-->
{{Docnav|[[Draft_Circle|Circle]]|[[Draft_Arc_3Points|Arc 3Points]]|[[Draft_Module|Draft]]|IconL=Draft_Circle.svg |IconC=Workbench_Draft.svg|IconR=Draft_Arc_3Points.svg}}
+
{{Docnav
 
+
|[[Draft_Fillet|Fillet]]
<!--T:19-->
+
|[[Draft_Arc_3Points|Arc 3Points]]
{{Draft Tools navi}}
+
|[[Draft_Module|Draft]]
 +
|IconL=Draft_Fillet.svg  
 +
|IconR=Draft_Arc_3Points.svg
 +
|IconC=Workbench_Draft.svg
 +
}}
  
<!--T:20-->
 
{{Userdocnavi}}
 
 
</translate>
 
</translate>
{{clear}}
+
{{Draft Tools navi{{#translation:}}}}
 +
{{Userdocnavi{{#translation:}}}}

Latest revision as of 11:15, 4 May 2021

Other languages:
Deutsch • ‎English • ‎Türkçe • ‎español • ‎français • ‎italiano • ‎polski • ‎română • ‎svenska • ‎čeština • ‎русский • ‎中文(中国大陆)‎
Arrow-left.svg Previous: Draft Fillet.svg Fillet

Draft Arc.svg Draft Arc

Menu location
Drafting → Arc tools → Arc
Workbenches
Draft, Arch
Default shortcut
None
Introduced in version
0.7
See also
Draft Arc 3Points, Draft Circle

Description

The Draft Arc.svg Draft Arc command creates a circular arc in the current working plane from a center, a radius, a start angle and an aperture angle. The radius and the angles can be defined by picking points.

A Draft Arc is in fact a Draft Circle with a DataFirst Angle that is not the same as its DataLast Angle.

Draft Arc example.jpg

Arc defined by four points, center, radius, initial point of arc and final point of arc

Usage

See also: Draft Tray, Draft Snap and Draft Constrain.

  1. There are several ways to invoke the command:
    • Press the Draft Arc.svg Draft Arc button.
    • Select the Drafting → Arc tools → Draft Arc.svg Arc option from the menu.
  2. The Arc task panel opens. See Options for more information.
  3. Pick the first point, the center of the arc, in the 3D view, or type coordinates and press the Draft AddPoint.svg Enter point button.
  4. Pick the second point in the 3D view, or enter a Radius.
  5. Pick the third point in the 3D view, or enter a Start angle.
  6. Pick the fourth point in the 3D view, or enter an Aperture angle.

Options

The single character keyboard shortcuts available in the task panel can be changed. See Draft Preferences. The shortcuts mentioned here are the default shortcuts.

  • To manually enter the coordinates for the center enter the X, Y and Z component, and press Enter after each. Or you can press the Draft AddPoint.svg Enter point button when you have the desired values. It is advisable to move the pointer out of the 3D view before entering coordinates.
  • The Relative checkbox has no purpose for this command.
  • Press G or click the Global checkbox to toggle global mode. If global mode is on, coordinates are relative to the global coordinate system, else they are relative to the working plane coordinate system. introduced in version 0.20
  • Press T or click the Continue checkbox to toggle continue mode. If continue mode is on, the command will restart after finishing, allowing you to continue creating arcs.
  • Press Esc or the Close button to abort the command.

Notes

  • A Draft Arc can be edited with the Draft Edit command.
  • If the Edit → Preferences... → Draft → General settings → Draft tools options → Use Part Primitives when available option is checked, the command will create a Part Circle instead of a Draft Circle. See Draft Preferences.

Properties

See Draft Circle.

Scripting

See also: Autogenerated API documentation and FreeCAD Scripting Basics.

To create a Draft Arc use the make_circle method (introduced in version 0.19) of the Draft module. This method replaces the deprecated makeCircle method.

Example:

import FreeCAD as App
import Draft

doc = App.newDocument()

arc1 = Draft.make_circle(200, startangle=0, endangle=90)
arc2 = Draft.make_circle(500, startangle=20, endangle=160)
arc3 = Draft.make_circle(750, startangle=-30, endangle=-150)

doc.recompute()


Arrow-left.svg Previous: Draft Fillet.svg Fillet